--- old/usr/src/cmd/sendmail/libsm/cf.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/cf.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,10 +8,8 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: cf.c,v 1.4 2001/02/01 02:40:21 dmoen Exp $")
+SM_RCSID("@(#)$Id: cf.c,v 1.8 2013-11-22 20:51:42 ca Exp $")
 
 #include <ctype.h>
 #include <errno.h>
@@ -56,7 +54,7 @@
 	if (cfp == NULL)
 		return errno;
 
-	while (sm_io_fgets(cfp, SM_TIME_DEFAULT, buf, sizeof(buf)) != NULL)
+	while (sm_io_fgets(cfp, SM_TIME_DEFAULT, buf, sizeof(buf)) >= 0)
 	{
 		p = strchr(buf, '\n');
 		if (p != NULL)
--- old/usr/src/cmd/sendmail/libsm/clock.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/clock.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2004 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -11,10 +11,8 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: clock.c,v 1.47 2005/06/14 23:07:20 ca Exp $")
+SM_RCSID("@(#)$Id: clock.c,v 1.48 2013-11-22 20:51:42 ca Exp $")
 #include <unistd.h>
 #include <time.h>
 #include <errno.h>
--- old/usr/src/cmd/sendmail/libsm/clrerr.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/clrerr.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: clrerr.c,v 1.11 2001/01/28 00:29:34 ca Exp $")
+SM_RCSID("@(#)$Id: clrerr.c,v 1.14 2013-11-22 20:51:42 ca Exp $")
 #include <sm/io.h>
 #include <sm/assert.h>
 #include "local.h"
--- old/usr/src/cmd/sendmail/libsm/config.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/config.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2003, 2007 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2003, 2007 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,10 +8,8 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: config.c,v 1.31 2007/03/14 21:21:49 ca Exp $")
+SM_RCSID("@(#)$Id: config.c,v 1.32 2013-11-22 20:51:42 ca Exp $")
 
 #include <stdlib.h>
 #include <sm/heap.h>
--- old/usr/src/cmd/sendmail/libsm/debug.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/debug.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2001, 2003, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000, 2001, 2003, 2004 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,7 +8,7 @@
  */
 
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: debug.c,v 1.32 2009/09/20 05:38:46 ca Exp $")
+SM_RCSID("@(#)$Id: debug.c,v 1.33 2013-11-22 20:51:42 ca Exp $")
 
 /*
 **  libsm debugging and tracing
--- old/usr/src/cmd/sendmail/libsm/errstring.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/errstring.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2003 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001, 2003 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -10,10 +10,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: errstring.c,v 1.19 2003/12/10 03:53:05 gshapiro Exp $")
+SM_RCSID("@(#)$Id: errstring.c,v 1.20 2013-11-22 20:51:42 ca Exp $")
 
 #include <errno.h>
 #include <stdio.h>	/* sys_errlist, on some platforms */
--- old/usr/src/cmd/sendmail/libsm/exc.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/exc.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,10 +8,8 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: exc.c,v 1.49 2006/12/19 19:28:09 ca Exp $")
+SM_RCSID("@(#)$Id: exc.c,v 1.50 2013-11-22 20:51:42 ca Exp $")
 
 /*
 **  exception handling
--- old/usr/src/cmd/sendmail/libsm/fclose.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/fclose.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002, 2004 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fclose.c,v 1.44 2005/06/14 23:07:20 ca Exp $")
+SM_RCSID("@(#)$Id: fclose.c,v 1.45 2013-11-22 20:51:42 ca Exp $")
 #include <errno.h>
 #include <stdlib.h>
 #include <sm/time.h>
--- old/usr/src/cmd/sendmail/libsm/feof.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/feof.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: feof.c,v 1.11 2001/04/03 01:46:40 ca Exp $")
+SM_RCSID("@(#)$Id: feof.c,v 1.14 2013-11-22 20:51:42 ca Exp $")
 #include <sm/io.h>
 #include <sm/assert.h>
 #include "local.h"
--- old/usr/src/cmd/sendmail/libsm/ferror.c	Sat Feb  6 15:36:35 2016
+++ new/usr/src/cmd/sendmail/libsm/ferror.c	Sat Feb  6 15:36:35 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: ferror.c,v 1.11 2001/04/03 01:46:40 ca Exp $")
+SM_RCSID("@(#)$Id: ferror.c,v 1.14 2013-11-22 20:51:42 ca Exp $")
 #include <sm/io.h>
 #include <sm/assert.h>
 #include "local.h"
--- old/usr/src/cmd/sendmail/libsm/fflush.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fflush.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2005, 2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2005, 2006 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fflush.c,v 1.45 2006/03/03 22:25:00 ca Exp $")
+SM_RCSID("@(#)$Id: fflush.c,v 1.46 2013-11-22 20:51:42 ca Exp $")
 #include <unistd.h>
 #include <errno.h>
 #include <sm/time.h>
--- old/usr/src/cmd/sendmail/libsm/fget.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fget.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2013 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fget.c,v 1.22 2001/08/27 18:54:14 gshapiro Exp $")
+SM_RCSID("@(#)$Id: fget.c,v 1.26 2013-11-22 20:51:42 ca Exp $")
 #include <stdlib.h>
 #include <string.h>
 #include <sm/io.h>
@@ -35,15 +33,15 @@
 **		n -- size of 'buf'
 **
 **	Returns:
-**		success: returns value of 'buf'
-**		failure: NULL (no characters were read)
-**		timeout: NULL and errno set to EAGAIN
+**		success: number of characters
+**		failure: -1
+**		timeout: -1 and errno set to EAGAIN
 **
 **	Side Effects:
 **		may move the file pointer
 */
 
-char *
+int
 sm_io_fgets(fp, timeout, buf, n)
 	register SM_FILE_T *fp;
 	int timeout;
@@ -50,16 +48,17 @@
 	char *buf;
 	register int n;
 {
-	register int len;
-	register char *s;
-	register unsigned char *p, *t;
+	int len, r;
+	char *s;
+	unsigned char *p, *t;
 
 	SM_REQUIRE_ISA(fp, SmFileMagic);
 	if (n <= 0)		/* sanity check */
-		return NULL;
+		return -1;
 
 	s = buf;
 	n--;			/* leave space for NUL */
+	r = 0;
 	while (n > 0)
 	{
 		/* If the buffer is empty, refill it. */
@@ -75,7 +74,7 @@
 			{
 				/* EOF/error: stop with partial or no line */
 				if (s == buf)
-					return NULL;
+					return -1;
 				break;
 			}
 			len = fp->f_r;
@@ -95,18 +94,20 @@
 		if (t != NULL)
 		{
 			len = ++t - p;
+			r += len;
 			fp->f_r -= len;
 			fp->f_p = t;
 			(void) memcpy((void *) s, (void *) p, len);
 			s[len] = 0;
-			return buf;
+			return r;
 		}
 		fp->f_r -= len;
 		fp->f_p += len;
 		(void) memcpy((void *) s, (void *) p, len);
 		s += len;
+		r += len;
 		n -= len;
 	}
 	*s = 0;
-	return buf;
+	return r;
 }
--- old/usr/src/cmd/sendmail/libsm/findfp.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/findfp.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002, 2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002, 2006 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: findfp.c,v 1.67 2006/08/28 21:24:46 ca Exp $")
+SM_RCSID("@(#)$Id: findfp.c,v 1.68 2013-11-22 20:51:42 ca Exp $")
 #include <stdlib.h>
 #include <unistd.h>
 #include <sys/param.h>
--- old/usr/src/cmd/sendmail/libsm/flags.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/flags.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2004, 2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2004, 2006 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: flags.c,v 1.23 2006/12/19 19:44:23 ca Exp $")
+SM_RCSID("@(#)$Id: flags.c,v 1.24 2013-11-22 20:51:42 ca Exp $")
 #include <sys/types.h>
 #include <sys/file.h>
 #include <errno.h>
--- old/usr/src/cmd/sendmail/libsm/fopen.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fopen.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002, 2004 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fopen.c,v 1.62 2005/06/14 23:07:20 ca Exp $")
+SM_RCSID("@(#)$Id: fopen.c,v 1.63 2013-11-22 20:51:42 ca Exp $")
 #include <errno.h>
 #include <setjmp.h>
 #include <sm/time.h>
--- old/usr/src/cmd/sendmail/libsm/fpos.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fpos.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2004 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fpos.c,v 1.39 2005/06/14 23:07:20 ca Exp $")
+SM_RCSID("@(#)$Id: fpos.c,v 1.40 2013-11-22 20:51:42 ca Exp $")
 #include <errno.h>
 #include <setjmp.h>
 #include <sm/time.h>
--- old/usr/src/cmd/sendmail/libsm/fprintf.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fprintf.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fprintf.c,v 1.15 2001/03/02 23:53:41 ca Exp $")
+SM_RCSID("@(#)$Id: fprintf.c,v 1.18 2013-11-22 20:51:42 ca Exp $")
 #include <sm/varargs.h>
 #include <sm/io.h>
 #include <sm/assert.h>
--- old/usr/src/cmd/sendmail/libsm/fpurge.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fpurge.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fpurge.c,v 1.18 2001/01/28 00:29:35 ca Exp $")
+SM_RCSID("@(#)$Id: fpurge.c,v 1.21 2013-11-22 20:51:42 ca Exp $")
 #include <stdlib.h>
 #include <errno.h>
 #include <sm/io.h>
--- old/usr/src/cmd/sendmail/libsm/fput.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fput.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fput.c,v 1.18 2001/01/28 00:29:35 ca Exp $")
+SM_RCSID("@(#)$Id: fput.c,v 1.21 2013-11-22 20:51:42 ca Exp $")
 #include <string.h>
 #include <errno.h>
 #include <sm/io.h>
--- old/usr/src/cmd/sendmail/libsm/fread.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fread.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fread.c,v 1.26 2001/02/28 20:54:03 ca Exp $")
+SM_RCSID("@(#)$Id: fread.c,v 1.29 2013-11-22 20:51:42 ca Exp $")
 #include <string.h>
 #include <errno.h>
 #include <sm/io.h>
--- old/usr/src/cmd/sendmail/libsm/fscanf.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fscanf.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fscanf.c,v 1.15 2001/03/02 23:53:41 ca Exp $")
+SM_RCSID("@(#)$Id: fscanf.c,v 1.18 2013-11-22 20:51:42 ca Exp $")
 #include <sm/varargs.h>
 #include <sm/assert.h>
 #include <sm/io.h>
--- old/usr/src/cmd/sendmail/libsm/fseek.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fseek.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2004 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fseek.c,v 1.47 2005/06/14 23:07:20 ca Exp $")
+SM_RCSID("@(#)$Id: fseek.c,v 1.48 2013-11-22 20:51:42 ca Exp $")
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <fcntl.h>
--- old/usr/src/cmd/sendmail/libsm/fvwrite.c	Sat Feb  6 15:36:36 2016
+++ new/usr/src/cmd/sendmail/libsm/fvwrite.c	Sat Feb  6 15:36:36 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fvwrite.c,v 1.47 2001/08/27 13:02:20 ca Exp $")
+SM_RCSID("@(#)$Id: fvwrite.c,v 1.50 2013-11-22 20:51:42 ca Exp $")
 #include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
--- old/usr/src/cmd/sendmail/libsm/fvwrite.h	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/fvwrite.h	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -11,11 +11,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- * $Id: fvwrite.h,v 1.7 2001/03/02 00:18:19 ca Exp $
+ * $Id: fvwrite.h,v 1.8 2013-11-22 20:51:43 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* I/O descriptors for sm_fvwrite() */
 struct sm_iov
 {
--- old/usr/src/cmd/sendmail/libsm/fwalk.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/fwalk.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fwalk.c,v 1.19 2001/03/02 03:22:18 ca Exp $")
+SM_RCSID("@(#)$Id: fwalk.c,v 1.22 2013-11-22 20:51:43 ca Exp $")
 #include <errno.h>
 #include <sm/io.h>
 #include "local.h"
--- old/usr/src/cmd/sendmail/libsm/fwrite.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/fwrite.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: fwrite.c,v 1.22 2001/04/03 01:46:40 ca Exp $")
+SM_RCSID("@(#)$Id: fwrite.c,v 1.25 2013-11-22 20:51:43 ca Exp $")
 #include <errno.h>
 #include <sm/io.h>
 #include <sm/assert.h>
--- old/usr/src/cmd/sendmail/libsm/get.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/get.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: get.c,v 1.16 2001/01/28 00:29:35 ca Exp $")
+SM_RCSID("@(#)$Id: get.c,v 1.19 2013-11-22 20:51:43 ca Exp $")
 #include <sm/io.h>
 #include <sm/assert.h>
 #include "local.h"
--- old/usr/src/cmd/sendmail/libsm/glue.h	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/glue.h	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -11,11 +11,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- * $Id: glue.h,v 1.6 2001/01/22 23:09:49 ca Exp $
+ * $Id: glue.h,v 1.7 2013-11-22 20:51:43 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  The first few FILEs are statically allocated; others are dynamically
 **  allocated and linked in via this glue structure.
--- old/usr/src/cmd/sendmail/libsm/heap.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/heap.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2004 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,10 +7,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: heap.c,v 1.51 2004/08/03 20:32:00 ca Exp $")
+SM_RCSID("@(#)$Id: heap.c,v 1.52 2013-11-22 20:51:43 ca Exp $")
 
 /*
 **  debugging memory allocation package
--- old/usr/src/cmd/sendmail/libsm/ldap.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/ldap.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001-2009 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001-2009 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -11,7 +11,7 @@
 #define LDAP_DEPRECATED	1
 
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: ldap.c,v 1.83 2009/06/19 22:02:26 guenther Exp $")
+SM_RCSID("@(#)$Id: ldap.c,v 1.86 2013-11-22 20:51:43 ca Exp $")
 
 #if LDAPMAP
 # include <sys/types.h>
@@ -1098,10 +1098,8 @@
 
 	if (ret == 0)
 		save_errno = ETIMEDOUT;
-	else
+	else if (ret == LDAP_RES_SEARCH_RESULT)
 	{
-		int rc;
-
 		/*
 		**  We may have gotten an LDAP_RES_SEARCH_RESULT response
 		**  with an error inside it, so we have to extract that
@@ -1109,11 +1107,21 @@
 		**  to an LDAP proxy whose backend has gone down.
 		*/
 
-		save_errno = ldap_parse_result(lmap->ldap_ld, lmap->ldap_res,
-				       &rc, NULL, NULL, NULL, NULL, 0);
-		if (save_errno == LDAP_SUCCESS)
-			save_errno = rc;
+		if (lmap->ldap_res == NULL)
+			save_errno = LDAP_UNAVAILABLE;
+		else
+		{
+			int rc;
+
+			save_errno = ldap_parse_result(lmap->ldap_ld,
+					lmap->ldap_res, &rc, NULL, NULL,
+					NULL, NULL, 0);
+			if (save_errno == LDAP_SUCCESS)
+				save_errno = rc;
+		}
 	}
+	else
+		save_errno = sm_ldap_geterrno(lmap->ldap_ld);
 	if (save_errno != LDAP_SUCCESS)
 	{
 		statp = EX_TEMPFAIL;
--- old/usr/src/cmd/sendmail/libsm/local.h	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/local.h	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002, 2004-2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002, 2004-2006 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -11,11 +11,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: local.h,v 1.58 2006/12/19 19:44:23 ca Exp $
+ *	$Id: local.h,v 1.59 2013-11-22 20:51:43 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  Information local to this implementation of stdio,
 **  in particular, macros and private variables.
--- old/usr/src/cmd/sendmail/libsm/makebuf.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/makebuf.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: makebuf.c,v 1.26 2001/10/31 16:04:08 ca Exp $")
+SM_RCSID("@(#)$Id: makebuf.c,v 1.27 2013-11-22 20:51:43 ca Exp $")
 #include <stdlib.h>
 #include <unistd.h>
 #include <sys/types.h>
--- old/usr/src/cmd/sendmail/libsm/match.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/match.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,10 +8,8 @@
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: match.c,v 1.8 2001/03/02 19:57:08 ca Exp $")
+SM_RCSID("@(#)$Id: match.c,v 1.11 2013-11-22 20:51:43 ca Exp $")
 
 #include <sm/string.h>
 
--- old/usr/src/cmd/sendmail/libsm/mbdb.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/mbdb.c	Sat Feb  6 15:36:37 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001-2003,2009 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001-2003,2009 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -8,7 +8,7 @@
  */
 
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: mbdb.c,v 1.41 2009/06/19 22:02:26 guenther Exp $")
+SM_RCSID("@(#)$Id: mbdb.c,v 1.43 2014-01-08 17:03:15 ca Exp $")
 
 #include <sys/param.h>
 
@@ -332,23 +332,16 @@
 	pw = getpwnam(name);
 	if (pw == NULL)
 	{
-#if 0
+#if _FFR_USE_GETPWNAM_ERRNO
 		/*
-		**  getpwnam() isn't advertised as setting errno.
-		**  In fact, under FreeBSD, non-root getpwnam() on
-		**  non-existant users returns NULL with errno = EPERM.
-		**  This test won't work.
+		**  Only enable this code iff
+		**  user unknown <-> getpwnam() == NULL && errno == 0
+		**  (i.e., errno unchanged); see the POSIX spec.
 		*/
-		switch (errno)
-		{
-		  case 0:
-			return EX_NOUSER;
-		  case EIO:
-			return EX_OSERR;
-		  default:
+
+		if (errno != 0)
 			return EX_TEMPFAIL;
-		}
-#endif /* 0 */
+#endif /* _FFR_USE_GETPWNAM_ERRNO */
 		return EX_NOUSER;
 	}
 
--- old/usr/src/cmd/sendmail/libsm/memstat.c	Sat Feb  6 15:36:37 2016
+++ new/usr/src/cmd/sendmail/libsm/memstat.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2005-2007 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2005-2007 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,10 +7,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: memstat.c,v 1.6 2007/03/20 23:26:12 ca Exp $")
+SM_RCSID("@(#)$Id: memstat.c,v 1.7 2013-11-22 20:51:43 ca Exp $")
 
 #include <errno.h>
 #include <sm/misc.h>
--- old/usr/src/cmd/sendmail/libsm/niprop.c	Sat Feb  6 15:36:38 2016
+++ new/usr/src/cmd/sendmail/libsm/niprop.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,10 +7,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: niprop.c,v 1.6 2001/09/04 22:41:27 ca Exp $")
+SM_RCSID("@(#)$Id: niprop.c,v 1.9 2013-11-22 20:51:43 ca Exp $")
 
 #if NETINFO
 #include <ctype.h>
--- old/usr/src/cmd/sendmail/libsm/path.c	Sat Feb  6 15:36:38 2016
+++ new/usr/src/cmd/sendmail/libsm/path.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,10 +7,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: path.c,v 1.7 2001/08/28 16:06:59 gshapiro Exp $")
+SM_RCSID("@(#)$Id: path.c,v 1.10 2013-11-22 20:51:43 ca Exp $")
 
 #include <sm/path.h>
 #include <sm/string.h>
--- old/usr/src/cmd/sendmail/libsm/put.c	Sat Feb  6 15:36:38 2016
+++ new/usr/src/cmd/sendmail/libsm/put.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: put.c,v 1.27 2001/12/19 05:19:35 ca Exp $")
+SM_RCSID("@(#)$Id: put.c,v 1.28 2013-11-22 20:51:43 ca Exp $")
 #include <string.h>
 #include <errno.h>
 #include <sm/io.h>
--- old/usr/src/cmd/sendmail/libsm/refill.c	Sat Feb  6 15:36:38 2016
+++ new/usr/src/cmd/sendmail/libsm/refill.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2005-2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2005-2006 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: refill.c,v 1.53 2006/02/28 18:48:25 ca Exp $")
+SM_RCSID("@(#)$Id: refill.c,v 1.54 2013-11-22 20:51:43 ca Exp $")
 #include <stdlib.h>
 #include <unistd.h>
 #include <errno.h>
--- old/usr/src/cmd/sendmail/libsm/rewind.c	Sat Feb  6 15:36:38 2016
+++ new/usr/src/cmd/sendmail/libsm/rewind.c	Sat Feb  6 15:36:38 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -12,10 +12,8 @@
  * the sendmail distribution.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sm/gen.h>
-SM_RCSID("@(#)$Id: rewind.c,v 1.16 2001/04/03 01:46:40 ca Exp $")
+SM_RCSID("@(#)$Id: rewind.c,v 1.19 2013-11-22 20:51:43 ca Exp $")
 #include <errno.h>
 #include <sm/io.h>
 #include <sm/assert.h>
